Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
angel-Devil

Viết VBA quản lý layer

Các bài được khuyến nghị

MÌnh muốn viết một Macro cho phép đưa tất cả dim, text, hatch, leader về cùng một layer các bạn giúp với nhé

Bạn phải viết đi thì mọi người mới giúp được chứ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn hãy thử đoạn code này xem nhé, có thể chưa phải là tối ưu

 

Sub CungLop()
Dim LstEnt() As String
LstEnt = Split("TEXT;MTEXT;HATCH;DIMENSION", ";") 'Danh sach cac loai doi tuong can chuyen
Dim I%, J%
Dim Code(0) As Integer
Dim Value(0) As Variant
Code(0) = 0
Dim ssObj As AcadSelectionSet
For I = 0 To UBound(LstEnt)
	Value(0) = LstEnt(I)
	Set ssObj = ThisDrawing.SelectionSets.Add("New_SS")
	ssObj.Select acSelectionSetAll, , , Code, Value
	For J = 0 To ssObj.Count - 1
		ssObj(J).Layer = "0" 'Dua tat ca cac doi tuong ve lop 0
	Next
	ThisDrawing.SelectionSets("New_SS").Delete
Next
End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×